function x = Bisezione(f,a,b,N)
    //
    // Applica il metodo di bisezione alla funzione f a partire
    // dall'intervallo [a,b].
    // La costruzione si arresta dopo N iterazioni.
    //
    // La variabile di uscita x contiene la parte di successione
    // calcolata.
    //
    if (sign(f(a)) == sign(f(b)) | f(a) == 0 | f(b) == 0) then
       error('la funzione non assume valori di segno opposto agli estremi');
    else
        k = 0; // k: contatore delle iterazioni
        x = (a+b)/2;
        // mprintf(...);
        while (k < N & f(x($)) ~= 0),
            if sign(f(a)) ~= sign(f(x($))) then b = x($);
               else a = x($); end;
            x($+1) = (a+b)/2;
            k = k + 1;
            // mprintf(...);
        end;
        // z = x;
        // v = f(z);
    end;
endfunction
